package com.inspect.metadata.eqpbook.service;

import com.inspect.metadata.eqpbook.domain.BasedataEqpBookNvr;
import com.inspect.metadata.statis.domain.BasedataStatisNvr;

import java.util.List;

public interface IBasedataEqpBookNvrService {
    BasedataEqpBookNvr selectBasedataEqpBookNvrByNvrId(Long nvrId);

    List<BasedataEqpBookNvr> selectBasedataEqpbookNvrList(BasedataEqpBookNvr eqpBookNvr);

    int insertBasedataEqpBookNvr(BasedataEqpBookNvr eqpBookNvr);

    int updateBasedataEqpBookNvr(BasedataEqpBookNvr eqpBookNvr);

    int deleteBasedataEqpBookNvrByNvrIds(Long[] nvrIds);

    int deleteBasedataEqpBookNvrByNvrId(Long nvrId);

    List<BasedataStatisNvr> selectNewInfo();
}
